Loading...
Searching...
No Matches
volk_8ic_s32f_deinterleave_real_32f.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <volk/volk_common.h>`
`#include <xmmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_8ic_s32f_deinterleave_real_32f_u_H

## Functions

static void | volk_8ic_s32f_deinterleave_real_32f_a_sse (float *iBuffer, const lv_8sc_t *complexVector, const float scalar, unsigned int num_points)
static void | volk_8ic_s32f_deinterleave_real_32f_generic (float *iBuffer, const lv_8sc_t *complexVector, const float scalar, unsigned int num_points)
static void | volk_8ic_s32f_deinterleave_real_32f_neon (float *iBuffer, const lv_8sc_t *complexVector, const float scalar, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_8ic_s32f_deinterleave_real_32f_u_H

#define INCLUDED_volk_8ic_s32f_deinterleave_real_32f_u_H

## Function Documentation

## volk_8ic_s32f_deinterleave_real_32f_a_sse()

void volk_8ic_s32f_deinterleave_real_32f_a_sse | ( | float * | iBuffer,
|  | const lv_8sc_t * | complexVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_8ic_s32f_deinterleave_real_32f_generic()

void volk_8ic_s32f_deinterleave_real_32f_generic | ( | float * | iBuffer,
|  | const lv_8sc_t * | complexVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_8ic_s32f_deinterleave_real_32f_neon()

void volk_8ic_s32f_deinterleave_real_32f_neon | ( | float * | iBuffer,
|  | const lv_8sc_t * | complexVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static